tigase.server.bosh

## Class BoshSessionCache

- java.lang.Object
- - tigase.server.bosh.BoshSessionCache

-     public class BoshSessionCache
      extends Object

  Describe class BoshSessionCache here. Created: Mon Feb 25 23:54:57 2008
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEF_ID` Field description
    `protected Map<String,Long>` | `jid_msg_start` Cached time of the first message to/from some jid to speedup message caching processing
    `static String` | `MESSAGE_ID` Field description
    `static String` | `RESOURCE_BIND_ID` Field description
    `static String` | `ROSTER_ID` Field description

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoshSessionCache()` Creates a new `BoshSessionCache` instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(String id, List<tigase.xml.Element> data)` Method description
    `void` | `addFromMessage(tigase.xml.Element message)` Method description
    `void` | `addPresence(tigase.xml.Element presence)` Method description
    `void` | `addRoster(tigase.xml.Element roster)` Method description
    `void` | `addToMessage(tigase.xml.Element message)` Method description
    `List<tigase.xml.Element>` | `get(String id)` Method description
    `List<tigase.xml.Element>` | `getAll()` Method description
    `List<tigase.xml.Element>` | `getAllPresences()` Method description
    `List<tigase.xml.Element>` | `getPresence(String... from)` Method description
    `List<tigase.xml.Element>` | `remove(String id)` Method description
    `void` | `set(String id, List<tigase.xml.Element> data)` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEF_ID

          public static final String DEF_ID

      Field description
      See Also:
        Constant Field Values

    - #### MESSAGE_ID

          public static final String MESSAGE_ID

      Field description
      See Also:
        Constant Field Values

    - #### RESOURCE_BIND_ID

          public static final String RESOURCE_BIND_ID

      Field description
      See Also:
        Constant Field Values

    - #### ROSTER_ID

          public static final String ROSTER_ID

      Field description
      See Also:
        Constant Field Values

    - #### jid_msg_start

          protected Map<String,Long> jid_msg_start

      Cached time of the first message to/from some jid to speedup message caching processing

  - ### Constructor Detail

    - #### BoshSessionCache

          public BoshSessionCache()

      Creates a new `BoshSessionCache` instance.

  - ### Method Detail

    - #### add

          public void add(String id,
                          List<tigase.xml.Element> data)

      Method description
      Parameters:
        `id` -
        `data` -

    - #### addFromMessage

          public void addFromMessage(tigase.xml.Element message)

      Method description
      Parameters:
        `message` -

    - #### addPresence

          public void addPresence(tigase.xml.Element presence)

      Method description
      Parameters:
        `presence` -

    - #### addRoster

          public void addRoster(tigase.xml.Element roster)

      Method description
      Parameters:
        `roster` -

    - #### addToMessage

          public void addToMessage(tigase.xml.Element message)

      Method description
      Parameters:
        `message` -

    - #### get

          public List<tigase.xml.Element> get(String id)

      Method description
      Parameters:
        `id` -

    - #### getAll

          public List<tigase.xml.Element> getAll()

      Method description

    - #### getAllPresences

          public List<tigase.xml.Element> getAllPresences()

      Method description

    - #### getPresence

          public List<tigase.xml.Element> getPresence(String... from)

      Method description
      Parameters:
        `from` -

    - #### remove

          public List<tigase.xml.Element> remove(String id)

      Method description
      Parameters:
        `id` -

    - #### set

          public void set(String id,
                          List<tigase.xml.Element> data)

      Method description
      Parameters:
        `id` -
        `data` -

Copyright © 2016 "Tigase, Inc.". All rights reserved.